### Method

# Gtk Widget contains

#### Declaration [src]

    gboolean
    gtk_widget_contains (
      GtkWidget* widget,
      double x,
      double y
    )

#### Description [src]

Tests if the point at (`x`, `y`) is contained in `widget`.

The coordinates for (`x`, `y`) must be in widget coordinates, so (0, 0) is assumed to be the top left of `widget`‘s content area.

#### Parameters

`x`

  Type: `double`

  X coordinate to test, relative to `widget`‘s origin.

`y`

  Type: `double`

  Y coordinate to test, relative to `widget`‘s origin.

#### Return value

Type: `gboolean`

`TRUE` if `widget` contains (`x`, `y`).